#include "color.h"

Color::Color(float intensity)
{
    r = g = b = intensity;
    a = 1.0f;
}

Color::Color(const Vector4 &c)
{
	r = c.x;
	g = c.y;
	b = c.z;
	a = c.w;
}


Color::Color(float r, float g, float b, float a)
{
    this->r = r;
    this->g = g;
    this->b = b;
    this->a = a;
}
