#ifndef GPU_PROG_H
#define GPU_PROG_H

#include <builddefs.h>


unsigned int CreateGPUProgram(const char *vssrc, const char *pssrc);
unsigned int CreateGPUProgramFromFile(const char *vsfile, const char *psfile);
void ReleaseGPUProgram(unsigned int id);

// h bindgpuprogram kalei kai thn bind uniforms
bool BindGPUProgram(unsigned int id);
bool BindUniforms();
void DumpUniforms(const char *filename);

#endif //GPU_PROG_H

