#ifndef UNIFORMS_H
#define UNIFORMS_H

#define MAX_UNIFORM_NAME  64


unsigned int AddUniform (const char *uniform_name, unsigned int float_count);
void DeleteUniform (unsigned int u);
unsigned int FindUniform (const char *name);
unsigned int FirstUniform ();
unsigned int NextUniform (unsigned int last_uniform);
const char *GetUniformName (unsigned int u);
unsigned int GetUniformFloats (unsigned int u);
bool SetUniform (unsigned int u, void *data);
bool GetUniform (unsigned int u, void *data);
void *GetUniformDataPtr (unsigned int u);

#endif //UNIFORMS_H

