#ifndef UTK_ARROW_H_
#define UTK_ARROW_H_

#include "utk_drawable.h"
#include "utk_gfx.h"

namespace utk {

class Arrow : public Drawable {
protected:
	ArrowOrientation	orientation;

public:
	Arrow(ArrowOrientation orientation = ARROW_RIGHT);
	virtual ~Arrow();

	virtual void set_orientation(ArrowOrientation orientation);
	virtual ArrowOrientation get_orientation() const;

	virtual void draw() const;
};

Arrow *create_arrow(Widget *parent, ArrowOrientation orientation = ARROW_RIGHT);

}

#endif
