// tar.h

#ifndef _TAR_H_
#define _TAR_H_

#include <string>
#include <vector>

enum tar_file_type
{
	TFT_FILE,
	TFT_DIR,
	TFT_DEV
};

struct tar_file
{
	std::string tar_fname;
	std::string filename;
	unsigned int offset;
	unsigned int size;
	tar_file_type type;
};

std::vector<tar_file> get_tar_files(const char* tar_filename);

#endif // ndef _TAR_H_
