#include "vis.h"

Vis::Vis ()
{
}

Vis::~Vis ()
{
	ClearObjects ();
}

unsigned int Vis::GetFreeObject ()
{
	for (unsigned int i = 0; i < object_list.size(); i++)
	{
		if (object_list[i] == NULL)
		{
			return i;
		}
	}
	VisObject *object = new VisObject;
	object->box = NULL;
	object->result = NULL;
	object_list.push_back (object);
	return (unsigned int) object_list.size() - 1;
}


unsigned int Vis::AddObject (Box *box, VisResult *result)
{
	unsigned int idx = GetFreeObject();
	object_list[idx]->box = box;
	object_list[idx]->result = result;
	return idx;
}

void Vis::RemoveObject (unsigned int vis_id)
{
	if (object_list.size () > vis_id)
	{
		if (object_list[vis_id] != NULL)
		{
			delete object_list [vis_id];
			object_list[vis_id] = NULL;
		}
	}
}

void Vis::ClearObjects ()
{
	for (unsigned int i = 0; i < object_list.size(); i++)
	{
		if (object_list[i] != NULL)
		{
			delete object_list[i];
			object_list[i] = NULL;
		}
	}	
	object_list.clear ();
}


