inline float *Matrix3x3::operator [](int index) {
	return m[index];
}

inline const float *Matrix3x3::operator [](int index) const {
	return m[index];
}

inline void Matrix3x3::ResetIdentity() {
	std::memcpy(this->m, identity.m, 9 * sizeof(float));
}


inline float *Matrix4x4::operator [](int index) {
	return m[index];
}

inline const float *Matrix4x4::operator [](int index) const {
	return m[index];
}

inline void Matrix4x4::ResetIdentity() {
	std::memcpy(this->m, identity.m, 16 * sizeof(float));
}
