// dialog.h

#ifndef _DIALOG_HEADER_
#define _DIALOG_HEADER_

typedef struct
{
	bool normals;
	bool tangents;

	bool tc0, tc1, tc2, tc3;
	int tex_func;

	bool preview;
} DialogData;

bool DisplayDialog();
DialogData GetDialogData();
void SetProgress(float p);
void SetProgressMsg(const char *msg);
void StartProgressDialog();
void CloseProgressDialog();



#endif // ndef _DIALOG_HEADER_
