// progress.cpp
// progress bar framework

#include "progress.h"

static ProgressBarHandler *curr_handler = 0;
static unsigned int task_count = 1;
static unsigned int curr_task = 0;
static  unsigned int actual_task_count = 0;

// ProgressBarHandler class implementation
ProgressBarHandler::ProgressBarHandler()
{

}

ProgressBarHandler::~ProgressBarHandler()
{

}

bool ProgressBarHandler::Init()
{
	return true;
}

void ProgressBarHandler::Destroy()
{

}

void SetProgressTaskCount(unsigned int c)
{
	if (c > 0) task_count = c;
}
#include <stdio.h>
void CompleteProgressTask()
{
	if (curr_task < task_count) curr_task ++;
	actual_task_count ++;
	printf("%d\n", actual_task_count);
}

bool SetProgressBar(ProgressBarHandler *h)
{
	if (!h) return false;
	if (!h->Init()) return false;
	
	if (curr_handler) curr_handler->Destroy();

	curr_handler = h;

	return true;
}

bool UpdateProgressBar(float task, const char *msg)
{
	if (!curr_handler) return false;
	float all = (curr_task + task) / (float) task_count;
	curr_handler->Update(task, all, msg);
	return true;
}
