// progress.h
// progress bar framework

#ifndef _PROGRESS_H_
#define _PROGRESS_H_

class ProgressBarHandler
{
public:
	ProgressBarHandler();
	virtual ~ProgressBarHandler();

	virtual bool Init();
	virtual void Destroy();
	virtual void Update(float task, float all=1, const char *msg=0) = 0;
};

void SetProgressTaskCount(unsigned int c);
void CompleteProgressTask();
bool SetProgressBar(ProgressBarHandler *h);
bool UpdateProgressBar(float task, const char *msg=0);

#endif // ndef _PROGRESS_H_
