#include "gobject.h"

GameObjGroup::GameObjGroup()
{
	obj = 0;
}

GameObjGroup::~GameObjGroup()
{
	delete obj;
	// TODO: also delete animations from the map
}

void GameObjGroup::SetName(const char *fname)
{
	name = std::string(fname);
}

const char *GameObjGroup::GetName() const
{
	return name.c_str();
}

bool GameObjGroup::Load(const char *fname)
{
	return obj->Load(fname);
}

bool GameObjGroup::LoadAnimation(const char *fname, const char *name)
{
	if(!name) name = fname;

	if(!obj->LoadAnimation(fname)) {
		return false;
	}
	anim_names[name] = fname;
	return true;
}

/*
Character::Character()
{
	parent = 0;
}

Character::~Character() {}

void Character::SetParent(OGNode *p)
{
	parent = p;
}

OGNode *Character::GetParent() const
{
	return parent;
}
*/
