#ifndef GC_IMPL_H_
#define GC_IMPL_H_

#ifndef LIBGC_SOURCE_FILE
#error "don't include gc_impl.h please"
#endif

// this header contains prototypes and shit intended for the implementation of libgc
// shouldn't include this anywhere other than (gc.cpp|gc_ogl.cpp|gc_d3d.cpp)

bool InitializeGPUPrograms();
void CloseGPUPrograms();

bool InitSubsys();
void CloseSubsys();
void SetInitParams(GCInitParams iparam);

void APISetProjectionMatrix(float *m);
void APISetViewMatrix(float *m);
void APISetModelMatrix(float *m);
void APISetModelViewMatrix(float *m);
void APISetTextureMatrix(unsigned int tid, float *m);

#endif	/* GC_IMPL_H_ */
