// mesh.h

#ifndef _MESH_H_
#define _MESH_H_

#include <math3d.h>


// TODO: remove these
class ObjectGroup;
class OGNode;

class Mesh
{
protected:

public:
	Mesh() {}
	virtual ~Mesh() {}

	virtual void Render() const = 0;
	virtual Box GetBoundingBox() const = 0;
	virtual void SetBoundingBox(const Box &bb) = 0;
};

class ComplexMesh : public Mesh
{
public:
	Geometry *geom;
	RGInfo rg_info;

	Box bounding_box, model_space_bounding_box;

	virtual void Render() const {}
	virtual Box GetBoundingBox() const {return Box();}
	virtual void SetBoundingBox(const Box &bb) {}
};

#endif // ndef _MESH_H_
