#include <cstdlib>
#include "math3d.h"

using namespace std;

const float Pi = 3.1415926535897932f;
const float HalfPi = Pi / 2.0f;
const float QuarterPi = Pi / 4.0f;
const float TwoPi = Pi * 2.0f;
const float ThreeHalfPi = 3.0f * Pi / 2.0f;

const float XSmallNumber = 1.e-8f;
const float SmallNumber = 1.e-4f;

#if !defined(GLIBC) && !defined(__GLIBC__)
float log2(float x) {
	float res = 0.0;
	while(x > 1.0) {
		x /= 2.0;
		res += 1.0;
	}
	return res;
}
#endif	// _MSC_VER
