#ifndef SPHVEC_H_
#define SPHVEC_H_

class Vector3;

/* Vector in spherical coordinates */
class SphVector {
public:
	float theta, phi, r;

	SphVector(float theta = 0.0, float phi = 0.0, float r = 1.0);
	SphVector(const Vector3 &cvec);
	SphVector &operator =(const Vector3 &cvec);
};

#endif	// SPHVEC_H_
